/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Die Feb 29 13:27:43 MET 2000
    copyright            : (C) 2000 by Michael Speck
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#include "../config.h"
#endif

#include <stdlib.h>
#include <string.h>
#include "game.h"
#include "soundserver.h"
#include "defs.h"

#ifdef SOUND
SoundServer *sndsrv = 0;
#endif

char *src_dir;
char *home_dir;
int  fast_quit = 0;
char datapath[2048];

int main(int argc, char *argv[])
{
	int i;
	for (i=strlen(argv[0]) ; argv[0][i]!='/' ; i--);
 	strncpy(datapath, argv[0], i); 	
	strcat(datapath,"/data/");

	src_dir = datapath;

    home_dir = datapath;
#ifdef SOUND
    sndsrv = new SoundServer(8);
#endif
	Game *game = new Game();
	game->Run();
	delete game;
#ifdef SOUND
	delete sndsrv;
#endif
	return 0;
}
